Bug 75052 - installing mod_perl does not install Apache/Myconfig.pm as expected
installing mod_perl does not install Apache/Myconfig.pm as expected
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: mod_perl (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 20:04 EDT by adi
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-10 05:02:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description adi 2002-10-03 20:04:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
Apache::MyConfig.pm which was a part of mod_perl rpm  in rh7.3 does not seem to
get installed when   you install the mod_perl rpm on rh 8

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -ivh mod_perl-1.99_05-3.i386.rpm
2.perl -MApache::MyConfig -e '23'
3.find /usr/lib/perl5/ -name "MyConfig.pm" -print
	

Actual Results:  perl -MApache::MyConfig -e '23'
Can't locate Apache/MyConfig.pm in @INC (@INC contains:
/usr/lib/perl5/5.8.0/i386-linux-thread-multi /usr/lib/perl5/5.8.0
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .)

Additional info:
Comment 1 Tim Gladding 2002-12-27 02:46:26 EST
Does anyone have a work around for this other than installing a different 
version of mod_perl?  It's breaking RT install :(

Can't locate Apache/MyConfig.pm in @INC (@INC 
contains: /usr/lib/perl5/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/5.8.0 /usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl /usr/lib/perl5/ven
dor_perl/5.8.0/i386-linux-thread-
multi /usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .) at 
Makefile.PL line 27.
Comment 2 Gary Benson 2003-03-10 05:02:13 EST
You need to turn on mod_perl 2.0's 1.x compatibility layer by loading
"Apache::compat" before you load whatever it is you are trying to run.

Note You need to log in before you can comment on or make changes to this bug.